PATCH
/roadmaps/{roadmapId}/columns/{columnId}Update a roadmap column
Parameters
| Name | In | Type | Description |
|---|---|---|---|
roadmapIdrequired | path | string | |
columnIdrequired | path | string |
Request body
| Field | Type | Description |
|---|---|---|
name | string | |
icon | stringnull | |
color | string | |
position | number |
Response
Roadmap column updated
| Field | Type | Description |
|---|---|---|
idrequired | string | TypeID - a type-prefixed UUID |
roadmapIdrequired | string | TypeID - a type-prefixed UUID |
statusIdrequired | string | TypeID - a type-prefixed UUID |
namerequired | string | |
iconrequired | stringnull | |
colorrequired | string | |
positionrequired | number |
Errors
400Validation error401Unauthorized404Roadmap column not foundExample request
curl \
-X PATCH \
"https://feedback.quackback.io/api/v1/roadmaps/:roadmapId/columns/:columnId" \
-H "Authorization: Bearer qb_your_api_key_here" \
-H "Content-Type: application/json" \
-d '{
"name": "example_name",
"color": "example_color",
"position": 0
}'